package com.xk72.charles.gui.lib;

import com.xk72.charles.gui.lib.TVov;
import com.xk72.charles.gui.lib.UIUtils;
import com.xk72.charles.gui.lib.aNer;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.geom.AffineTransform;
import java.awt.geom.NoninvertibleTransformException;
import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.TabbedPaneUI;
import javax.swing.plaf.basic.BasicTabbedPaneUI;

public class FramesTabbedPaneUI extends BasicTabbedPaneUI {

   private Color FwRs;
   private Color GSXJ;
   private Color InuZ;
   private Color Gwbn;
   private Color Wczh;
   private Color KRBh;
   private Color VdwQ;
   private Color hndF;
   private Color eOaK;
   private Color HliR;
   private Color qkXP;
   private Color Pbhj;
   private Color WDwv;
   private Color ZcdI;
   private Color rMou;
   private Color uHxD;
   private Color PvrW;
   private Color BMni;


   public static ComponentUI createUI(JComponent var0) {
      return new FramesTabbedPaneUI();
   }

   public static void main(String[] var0) {
      JFrame var3 = new JFrame("框架选项卡式窗格用户界面");
      JTabbedPane var1;
      (var1 = new JTabbedPane(1)).setBackground(Color.pink);
      var1.setUI((TabbedPaneUI)createUI(var1));
      JPanel var2;
      (var2 = new JPanel()).setBackground(Color.white);
      var1.add("Long Label", var2);
      (var2 = new JPanel()).setBackground(Color.red);
      var1.add("P2", var2);
      (var2 = new JPanel()).setOpaque(false);
      var1.add("P3", var2);
      var3.getContentPane().add(var1, "Center");
      var3.setBounds(0, 0, 500, 500);
      var3.setVisible(true);
   }

   protected LayoutManager createLayoutManager() {
      return new aNer(this);
   }

   protected void paintContentBorder(Graphics var1, int var2, int var3) {
   }

   protected void paintTabArea(Graphics var1, int var2, int var3) {
      var3 = this.tabPane.getTabCount();
      Rectangle var4 = new Rectangle();
      Rectangle var5 = new Rectangle();
      Rectangle var6 = var1.getClipBounds();

      for(int var7 = 0; var7 < var3; ++var7) {
         if(this.rects[var7].intersects(var6)) {
            this.paintTab(var1, var2, this.rects, var7, var4, var5);
         }
      }

      this.FwRs(var1, this.rects, var3);
   }

   protected void paintTab(Graphics var1, int var2, Rectangle[] var3, int var4, Rectangle var5, Rectangle var6) {
      Rectangle var15 = var3[var4];
      boolean var7 = this.tabPane.getSelectedIndex() == var4;
      String var8 = this.tabPane.getTitleAt(var4);
      Font var9 = this.tabPane.getFont().deriveFont(1);
      FontMetrics var10 = var1.getFontMetrics(var9);
      Icon var11 = this.getIconForTab(var4);
      this.layoutLabel(var2, var10, var4, var8, var11, var15, var5, var6, var7);
      if(this.tabPane.getTabComponentAt(var4) == null) {
         String var13 = var8;
         Graphics2D var16;
         (var16 = (Graphics2D)var1).setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
         boolean var18 = this.getRolloverTab() == var4;
         if(var7) {
            var1.setColor(UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.uHxD:this.rMou):this.PvrW);
         } else if(var18) {
            var1.setColor(TVov.FwRs(this.tabPane)?this.ZcdI:this.WDwv);
         } else {
            var1.setColor(UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.HliR:this.eOaK):(TVov.FwRs(this.tabPane)?this.Pbhj:this.qkXP));
         }

         var16.fillRect(var15.x, var15.y, var15.width, var15.height);
         String var17 = var13;
         var1.setFont(var9);
         if(this.tabPane.isEnabled() && this.tabPane.isEnabledAt(var4)) {
            Color var14 = var7?(UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.Wczh:this.Gwbn):this.hndF):(var18?this.InuZ:(TVov.FwRs(this.tabPane)?(UIUtils.GSXJ((JComponent)this.tabPane)?this.GSXJ:this.VdwQ):(UIUtils.GSXJ((JComponent)this.tabPane)?this.FwRs:this.KRBh)));
            var1.setColor(var14);
            var1.drawString(var17, var6.x, var6.y + var10.getAscent());
            return;
         }

         var1.setColor(this.tabPane.getBackgroundAt(var4).brighter());
         var1.drawString(var13, var6.x, var6.y + var10.getAscent());
         var1.setColor(this.tabPane.getBackgroundAt(var4).darker());
         var1.drawString(var13, var6.x - 1, var6.y + var10.getAscent() - 1);
      }

   }

   private void FwRs(Graphics var1, Rectangle[] var2, int var3) {
      Graphics2D var12;
      AffineTransform var4 = (var12 = (Graphics2D)var1.create()).getFontRenderContext().getTransform();
      var12.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_OFF);
      var12.setColor(this.BMni);

      float var5;
      try {
         var12.transform(var4.createInverse());
         var5 = (float)var4.getScaleX();
      } catch (NoninvertibleTransformException var11) {
         var5 = 1.0F;
      }

      if(var5 > 1.0F) {
         var12.setStroke(new BasicStroke(var5));
      }

      float[] var13 = new float[4];
      int var6 = -1;
      int var7 = -1;
      int var8 = -1;

      for(int var9 = 0; var9 < var3 - 1; ++var9) {
         Rectangle var10;
         var7 = (var10 = var2[var9]).x + var10.width;
         var13[0] = (float)var7;
         var13[1] = (float)var10.y;
         var13[2] = (float)var7;
         var13[3] = (float)(var10.height - 1);
         if(var9 == 0) {
            var6 = var10.x;
         }

         var7 = var7 + var10.width + 1;
         var8 = Math.max(var10.y + var10.height, var8);
         var4.transform(var13, 0, var13, 0, 2);
         var12.drawLine((int)var13[0] - 1, (int)var13[1], (int)var13[2] - 1, (int)var13[3] - 1);
      }

      if(var6 != -1 && var7 != -1 && var8 != -1) {
         var13[0] = (float)var6;
         var13[1] = (float)var8;
         var13[2] = (float)var7;
         var13[3] = (float)var8;
         var4.transform(var13, 0, var13, 0, 2);
         var12.drawLine((int)var13[0], (int)var13[1] - 1, (int)var13[2] + 1, (int)var13[3] - 1);
      }

   }

   protected int getTabLabelShiftX(int var1, int var2, boolean var3) {
      return 0;
   }

   protected int getTabLabelShiftY(int var1, int var2, boolean var3) {
      return 0;
   }

   private void FwRs(Graphics var1, Font var2, FontMetrics var3, int var4, String var5, Rectangle var6, boolean var7, boolean var8) {
      var1.setFont(var2);
      if(this.tabPane.isEnabled() && this.tabPane.isEnabledAt(var4)) {
         Color var9 = var7?this.VdwQ():(var8?this.InuZ:this.Gwbn());
         var1.setColor(var9);
         var1.drawString(var5, var6.x, var6.y + var3.getAscent());
      } else {
         var1.setColor(this.tabPane.getBackgroundAt(var4).brighter());
         var1.drawString(var5, var6.x, var6.y + var3.getAscent());
         var1.setColor(this.tabPane.getBackgroundAt(var4).darker());
         var1.drawString(var5, var6.x - 1, var6.y + var3.getAscent() - 1);
      }
   }

   protected void installDefaults() {
      super.installDefaults();
      this.tabAreaInsets = new Insets(0, 0, 0, 0);
      this.tabInsets = new Insets(5, 5, 5, 5);
      this.contentBorderInsets = new Insets(0, 0, 0, 0);
      this.FwRs = new Color(103, 103, 103);
      this.GSXJ = new Color(96, 97, 98);
      this.InuZ = this.FwRs;
      this.Gwbn = new Color(33, 33, 33);
      this.Wczh = new Color(255, 255, 255);
      this.KRBh = new Color(107, 107, 107);
      this.VdwQ = new Color(107, 107, 107);
      this.hndF = new Color(119, 119, 119);
      this.eOaK = new Color(196, 196, 196);
      this.HliR = new Color(39, 40, 40);
      this.qkXP = new Color(236, 236, 236);
      this.Pbhj = new Color(39, 40, 40);
      this.WDwv = new Color(189, 189, 189);
      this.ZcdI = new Color(33, 34, 35);
      this.rMou = new Color(212, 212, 212);
      this.uHxD = new Color(61, 63, 62);
      this.PvrW = new Color(246, 246, 246);
      this.BMni = new Color(0, 0, 0, 33);
   }

   protected void setRolloverTab(int var1) {
      int var2 = this.getRolloverTab();
      super.setRolloverTab(var1);
      if(var2 != var1) {
         Rectangle var3 = null;
         if(var2 != -1) {
            var3 = this.rects[var2];
         }

         if(var1 != -1) {
            if(var3 != null) {
               var3 = var3.union(this.rects[var1]);
            } else {
               var3 = this.rects[var1];
            }
         }

         this.tabPane.repaint(var3);
      }

   }

   private Color FwRs() {
      return TVov.FwRs(this.tabPane)?this.ZcdI:this.WDwv;
   }

   private Color GSXJ() {
      return UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.uHxD:this.rMou):this.PvrW;
   }

   private Color InuZ() {
      return UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.HliR:this.eOaK):(TVov.FwRs(this.tabPane)?this.Pbhj:this.qkXP);
   }

   private Color Gwbn() {
      return TVov.FwRs(this.tabPane)?(UIUtils.GSXJ((JComponent)this.tabPane)?this.GSXJ:this.VdwQ):(UIUtils.GSXJ((JComponent)this.tabPane)?this.FwRs:this.KRBh);
   }

   private Color Wczh() {
      return this.BMni;
   }

   private Color KRBh() {
      return this.InuZ;
   }

   private Color VdwQ() {
      return UIUtils.GSXJ((JComponent)this.tabPane)?(TVov.FwRs(this.tabPane)?this.Wczh:this.Gwbn):this.hndF;
   }

   private boolean hndF() {
      return TVov.FwRs(this.tabPane);
   }

   private boolean eOaK() {
      return UIUtils.GSXJ((JComponent)this.tabPane);
   }

   // $FF: synthetic method
   static JTabbedPane FwRs(FramesTabbedPaneUI var0) {
      return var0.tabPane;
   }

   // $FF: synthetic method
   static JTabbedPane GSXJ(FramesTabbedPaneUI var0) {
      return var0.tabPane;
   }

   // $FF: synthetic method
   static Insets FwRs(FramesTabbedPaneUI var0, int var1) {
      return var0.getTabAreaInsets(var1);
   }

   // $FF: synthetic method
   static int GSXJ(FramesTabbedPaneUI var0, int var1) {
      return var0.maxTabHeight = var1;
   }

   // $FF: synthetic method
   static int InuZ(FramesTabbedPaneUI var0, int var1) {
      return var0.calculateMaxTabHeight(var1);
   }

   // $FF: synthetic method
   static Rectangle[] InuZ(FramesTabbedPaneUI var0) {
      return var0.rects;
   }

   // $FF: synthetic method
   static int Gwbn(FramesTabbedPaneUI var0) {
      return var0.maxTabHeight;
   }

   // $FF: synthetic method
   static int Gwbn(FramesTabbedPaneUI var0, int var1) {
      return var0.runCount = 1;
   }

   // $FF: synthetic method
   static int Wczh(FramesTabbedPaneUI var0, int var1) {
      return var0.selectedRun = 0;
   }
}
